import * as uml from "../uml/index";
import { AbstractFormatter } from "./formatter";
/**
 * PlantUML Formatter
 *
 * http://plantuml.com
 *
 * @export
 * @class Formatter
 * @extends {AbstractFormatter}
 */
export declare class Formatter extends AbstractFormatter {
    generateClassDiagram(umlCodeModel: uml.CodeModel): string;
    private _formatNodes(umlCodeModel);
    private _formatProperties(node);
    private _formatVariable(variable);
    private _formatMethod(method);
    private _formatLinks(umlCodeModel);
    private _formatAccessibility(accessibility);
}
